Bug 733099 - Version 6 installed on directory named thunderbird-5.0
Summary: Version 6 installed on directory named thunderbird-5.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 18:41 UTC by Robert Marcano
Modified: 2018-04-11 11:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 14:46:49 UTC


Attachments (Terms of Use)

Description Robert Marcano 2011-08-24 18:41:24 UTC
The change of the directory with each errata of Thunderbird (and Firefox) is making difficult to keep up with local created RPMs with site wide configuration. Now my spec files need to be changed to not generate the installation directory based on Thunderbird version but another value, Thunderbird is 6 and directory is *-5.0

Can we just remove the -5.0 suffix instead of fixing it as thunderbird-6.0?

Comment 1 Robert Marcano 2011-08-24 18:52:44 UTC
By the way, Firefox is using .../firefox-x and Thunderbird is .../thunderbird-x.0 so that is an inconsistency probably not touched by the packaging guidelines

Comment 2 Matěj Cepl 2011-08-26 08:36:00 UTC
I agree. I don't think we should support parallel installation of user-created RPMs. When they know how to build their own RPM, they should know how to make them to use different directory.

Comment 3 Martin Stransky 2011-08-26 08:38:00 UTC
Well, let's remove the version from firefox/thunderbird dirs. It serves to nothing.

Comment 4 Martin Stransky 2011-10-03 14:46:49 UTC
Fixed in thunderbird-7.0.1-1.fc15


Note You need to log in before you can comment on or make changes to this bug.